com.r3corda.contracts.asset / Obligation / State / <init>

# <init>

`State(lifecycle: Lifecycle = Lifecycle.NORMAL, obligor: Party, template: StateTemplate<P>, quantity: Long, beneficiary: PublicKey)`

A state representing the obligation of one party (obligor) to deliver a specified number of units of an underlying asset (described as issuanceDef.acceptableIssuedProducts) to the beneficiary no later than the specified time.

### Parameters

`P` - the product the obligation is for payment of.